
Orangutan::Redmine - Improvement #952

Allowing cancelling task break or stop

06 Oct 2010 12:46 - Yaroslav Dmytriv

Status: Closed Start date:  

Priority: Minor Due date:  

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.03   

Description

A confirmation message would be nice before orangutan breaks the task, i.e. “I will break your task in a minute, is this okay?”

This is intended to avoid situations when the user comes back after a short break and orangutan asks him whether or not he should

break the task. That kind of messages are often ignored by users (I personally don’t notice it if the messaging window is opened with

the tab of orangutan opened, I then notice only “Ok... Stopping the task and opening it again.” message, which is kinda annoying,

because I do not want any breaks for that task, especially the short ones, like 5 or 8 minutes). A confirmation would help in that sort

of situations.

History

#1 - 07 Oct 2010 01:33 - Andriy Lesyuk

- Subject changed from confirmation before breaking the task to Confirmation before breaking the task

- Start date deleted (06 Oct 2010)

- Priority changed from Normal to Minor

- Assignee set to Andriy Lesyuk

I’m still analyzing this issue... However - what about this suggestion:

Instead of asking again I can allow canceling break (or stop)... Sample:

Orangutan: Should I break current task?

Orangutan: Ok... Breaking...

User: No!

Orangutan: Sorry... Removed break!

 

What would you say? Can this suggestion “replace” what you suggested?

#2 - 07 Oct 2010 13:02 - Andriy Lesyuk

- Subject changed from Confirmation before breaking the task to Allowing cancelling task break or stop

#3 - 08 Oct 2010 16:10 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 80

- Start date set to 07 Oct 2010
- Target version set to 1.03

#4 - 08 Oct 2010 20:45 - Andriy Lesyuk

- Start date deleted (07 Oct 2010)

#5 - 09 Oct 2010 16:48 - Andriy Lesyuk

- % Done changed from 80 to 100

- Due date set to 09 Oct 2010

#6 - 09 Oct 2010 16:49 - Andriy Lesyuk

- Status changed from In Progress to Closed

#7 - 12 Oct 2010 16:48 - Andriy Lesyuk

- Due date deleted (09 Oct 2010)

#8 - 01 Mar 2011 00:12 - Andriy Lesyuk

- Project changed from Orangutan to Orangutan::Redmine
